Monitoring F5 through SNMP

Hi there,

I am looking to monitor F5 proxies and in accordance to the F5 documentation I have configured SNMPv2 via it’s GUI. So in doing so, I can do an SNMPv2 walk from the CheckMK Host server cli, however when I point checkmk at the F5 proxy ip address, I get no discovered services. I know it’s not a routing issue as the snmp walk is successful.

Please could someone suggest where I am going wrong in regards to this?

Thanks,
Arj

At least in version 1.6, only these checks are available for F5 monitoring (BIG-IP - refering to BIG-IP MIB).

f5_bigip_apm
f5_bigip_chassis_temp
f5_bigip_cluster
f5_bigip_cluster_status
f5_bigip_cluster_status_v11_2
f5_bigip_cluster_v11
f5_bigip_conns
f5_bigip_cpu_temp
f5_bigip_fans
f5_bigip_interfaces
f5_bigip_mem
f5_bigip_pool
f5_bigip_psu
f5_bigip_snat
f5_bigip_vcmpfailover
f5_bigip_vcmpguests
f5_bigip_vserver

Perhaps that’s why you don’t see anything.

Then something is wrong in your setup of the host inside CMK.
At a minimum you should have an “SNMP Info” service and potential some interfaces.

You can do an “cmk --debug -vvI hostname” on cli to check what configuration CMK tries to use on your device.

I have a similar issue. snmpwalk from cli connects to the bigip just fine, but discovery doesn’t find anything

cmk result is
[snmp] Success, execution time 0.2 sec | execution_time=0.230 user_time=0.220 system_time=0.020 children_user_time=0.000 children_system_time=0.000 cmk_time_snmp=0.000 cmk_time_agent=0.000

tcpdump shows a LOT of snmp traffic exchanged.

ETA: ok, using -I option with cmk and debug/-vv gave me this

Traceback (most recent call last):
File “/omd/sites/DFW/lib/python3/cmk/fetchers/snmp.py”, line 342, in _fetch_from_io
_from, until, _section = persisted_sections[section_name]
File “/omd/sites/DFW/lib/python3/cmk/fetchers/cache.py”, line 42, in getitem
return self._store.getitem(key)
KeyError: SectionName(‘f5_bigip_pool’)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/omd/sites/DFW/bin/cmk”, line 92, in
exit_status = modes.call(mode_name, mode_args, opts, args)
File “/omd/sites/DFW/lib/python3/cmk/base/modes/init.py”, line 69, in call
return handler(*handler_args)
File “/omd/sites/DFW/lib/python3/cmk/base/modes/check_mk.py”, line 1542, in mode_discover
discovery.do_discovery(
File “/omd/sites/DFW/lib/python3/cmk/base/discovery.py”, line 370, in do_discovery
fetcher_messages=list(
File “/omd/sites/DFW/lib/python3/cmk/base/checkers/_checkers.py”, line 247, in fetch_all
raw_data = source.fetch()
File “/omd/sites/DFW/lib/python3/cmk/base/checkers/_abstract.py”, line 163, in fetch
return fetcher.fetch(self.mode)
File “/omd/sites/DFW/lib/python3/cmk/fetchers/_base.py”, line 268, in fetch
return result.OK(self._fetch(mode))
File “/omd/sites/DFW/lib/python3/cmk/fetchers/_base.py”, line 286, in _fetch
raw_data = self._fetch_from_io(mode)
File “/omd/sites/DFW/lib/python3/cmk/fetchers/snmp.py”, line 348, in _fetch_from_io
fetched_data[section_name] = [
File “/omd/sites/DFW/lib/python3/cmk/fetchers/snmp.py”, line 349, in
snmp_table.get_snmp_table(
File “/omd/sites/DFW/lib/python3/cmk/snmplib/snmp_table.py”, line 82, in get_snmp_table
rowinfo = _get_snmpwalk(
File “/omd/sites/DFW/lib/python3/cmk/snmplib/snmp_table.py”, line 188, in _get_snmpwalk
rowinfo = _perform_snmpwalk(section_name, base, fetchoid, backend=backend)
File “/omd/sites/DFW/lib/python3/cmk/snmplib/snmp_table.py”, line 204, in _perform_snmpwalk
rows = backend.walk(
File “/omd/sites/DFW/lib/python3/cmk/fetchers/cee/snmp_backend/inline.py”, line 211, in walk
raise MKSNMPError('SNMP Error on %s while walking %s. Normally this is caused by a ’
cmk.utils.exceptions.MKSNMPError: SNMP Error on bigip001.infra.dfw while walking .1.3.6.1.4.1.3375.2.2.5.3.2.1.1. Normally this is caused by a device sending invalid SNMP responses (Details: (tooBig) Response message would have been too large. (1/0)).

ok, from the tobig message, I found this

I set bulk walk limited to 5 and it discovered fine.

saw this too late to reply earlier, but we’ve seen the same with F5 devices. the default bulk walk size of 10 oids leads to timeouts and a discovery takes 10 minutes, reducing the bulk size to 5 gets a response in 2-3 seconds. No idea what F5 did there, but at least it’s easy to remember that F5 needs a bulk walk size of “5” :smiley: - seems to be consistent over different F5 devices

1 Like